%define upstream_name Generic-Assertions
%define upstream_version 0.001001

%{?perl_default_filter}

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 4

Summary:	A Generic Assertion checking class
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Generic/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(Test::Fatal)
BuildRequires:	perl(Test::Warnings)

BuildArch:	noarch

%description
A Generic Assertion checking class.

%prep
%setup -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Jul 12 2017 bb2 <bb2> - 0.1.1-4pclos2017
- rebuild against updates

